> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> Retrieve a paginated list of agents available in your workspace. Filter by type, category, or search query.



## OpenAPI

````yaml get /agent
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent:
    get:
      tags:
        - Agents
      summary: List Agents
      description: >-
        Retrieve a paginated list of agents available in your workspace. Filter
        by type, category, or search query.
      operationId: AgentController_findMany
      parameters:
        - name: pageNum
          required: false
          in: query
          schema:
            minimum: 1
            type: number
        - name: pageSize
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: type
          required: false
          in: query
          description: Filter agents by type (beam-os, user-agent, pre-configured-agent)
          schema:
            example: beam-os
            enum:
              - beam-os
              - user-agent
              - pre-configured-agent
            type: string
        - name: searchQuery
          required: false
          in: query
          description: Search agents by name or description
          schema:
            example: customer support
            type: string
        - name: agentCategoryId
          required: false
          in: query
          description: Filter agents by category ID
          schema:
            example: cat_123456
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of agents retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OptimizedAgentListResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    OptimizedAgentListResponseDto:
      type: object
      properties:
        agents:
          type: array
          items:
            $ref: '#/components/schemas/MinimalAgentDto'
        count:
          type: number
      required:
        - agents
        - count
    MinimalAgentDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        themeIconUrl:
          type: string
        agentCategoryId:
          type: string
        category:
          $ref: '#/components/schemas/MinimalAgentCategoryDto'
        type:
          enum:
            - beam-os
            - user-agent
            - pre-configured-agent
          type: string
        workspaceId:
          type: string
        creatorId:
          type: string
        order:
          type: number
      required:
        - id
        - name
        - type
        - creatorId
        - order
    MinimalAgentCategoryDto:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
      required:
        - id
        - title
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````